<template>
  <v-app>
    <v-app-bar
      color="teal-darken-4"
      image="https://picsum.photos/1920/1080?random"
      max-height="60"
    >
      <img src="/logo.png" width="75" alt="Vue js Logo" />
      <v-app-bar-title color="primary" density="compact"
        >Restaurants</v-app-bar-title
      >

      <v-spacer />
      <v-btn density="compact" icon @click="onChangeTheme()">
        <v-icon v-if="isDarkTheme">mdi-white-balance-sunny</v-icon>
        <v-icon v-else>mdi-moon-waxing-crescent</v-icon>
      </v-btn>
    </v-app-bar>
    <router-view v-if="authenticated" />
    <Login v-else />
  </v-app>
</template>

<script>
import { mapGetters } from "vuex";

import Login from "@/components/auth/Login.vue";

export default {
  name: "App",
  components: {
    Login,
  },
  mounted() {
    const token = sessionStorage.getItem("token"),
          user = sessionStorage.getItem("user");
    if (token) {
      this.$store.dispatch("auth/setTokenUser", {
        token: token,
        user: JSON.parse(user),
      });
    }
  },
  data() {
    return {
      isDarkTheme: false,
    };
  },
  methods: {
    onChangeTheme() {
      this.isDarkTheme = !this.$vuetify.theme.isDark;
      this.$vuetify.theme.isDark = this.isDarkTheme;
    },
  },
  computed: {
    ...mapGetters({
      authenticated: "auth/authenticated",
    }),
  },
};
</script>
